Package ghidra.app.util.bin.format.pe

# Class OptionalHeaderROM

java.lang.Object
ghidra.app.util.bin.format.pe.OptionalHeaderROM

public class OptionalHeaderROM extends Object
A class to represent the IMAGE_ROM_OPTIONAL_HEADER data structure.

     typedef struct _IMAGE_ROM_OPTIONAL_HEADER {
         WORD   Magic;
         BYTE   MajorLinkerVersion;
         BYTE   MinorLinkerVersion;
         DWORD  SizeOfCode;
         DWORD  SizeOfInitializedData;
         DWORD  SizeOfUninitializedData;
         DWORD  AddressOfEntryPoint;
         DWORD  BaseOfCode;
         DWORD  BaseOfData;
         DWORD  BaseOfBss;
         DWORD  GprMask;
         DWORD  CprMask[4];
         DWORD  GpValue;
     } IMAGE_ROM_OPTIONAL_HEADER, *PIMAGE_ROM_OPTIONAL_HEADER;

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OptionalHeaderROM()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAddressOfEntryPoint()`
  `int`
  `getBaseOfBss()`
  `int`
  `getBaseOfCode()`
  `int`
  `getBaseOfData()`
  `int[]`
  `getCprMask()`
  `int`
  `getGprMask()`
  `int`
  `getGpValue()`
  `short`
  `getMagic()`
  `byte`
  `getMajorLinkerVersion()`
  `byte`
  `getMinorLinkerVersion()`
  `int`
  `getSizeOfCode()`
  `int`
  `getSizeOfInitializedData()`
  `int`
  `getSizeOfUninitializedData()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OptionalHeaderROM

    public OptionalHeaderROM()

- ## Method Details

  - ### getMagic

    public short getMagic()

  - ### getMajorLinkerVersion

    public byte getMajorLinkerVersion()

  - ### getMinorLinkerVersion

    public byte getMinorLinkerVersion()

  - ### getSizeOfCode

    public int getSizeOfCode()

  - ### getSizeOfInitializedData

    public int getSizeOfInitializedData()

  - ### getSizeOfUninitializedData

    public int getSizeOfUninitializedData()

  - ### getAddressOfEntryPoint

    public int getAddressOfEntryPoint()

  - ### getBaseOfCode

    public int getBaseOfCode()

  - ### getBaseOfData

    public int getBaseOfData()

  - ### getBaseOfBss

    public int getBaseOfBss()

  - ### getGprMask

    public int getGprMask()

  - ### getCprMask

    public int[] getCprMask()

  - ### getGpValue

    public int getGpValue()